Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987888 - Openstack-packstack: packstack install Nova compute service [y|n] [y] : n - Raises SequenceError: 'CONFIG_QPID_HOST'.
Summary: Openstack-packstack: packstack install Nova compute service [y|n] [y] : n -...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 4.0
Assignee: Ivan Chavero
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks: RHEV_Neutron_Appliance
TreeView+ depends on / blocked
 
Reported: 2013-07-24 11:27 UTC by Omri Hochman
Modified: 2014-03-20 12:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-20 00:15:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
setup.log (deleted)
2013-07-24 11:31 UTC, Omri Hochman
no flags Details
answer-file.log (deleted)
2013-07-24 11:31 UTC, Omri Hochman
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 52266 None None None Never
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Description Omri Hochman 2013-07-24 11:27:03 UTC
Openstack-packstack: packstack install Nova compute service [y|n]  [y] : n  - Raises SequenceError: 'CONFIG_QPID_HOST'.


Description:
------------
I wanted to install environment that will have all openstack services, beside 'openstack-nova-compute' - for testing Cells . 

from :
-------
http://docs.openstack.org/trunk/openstack-compute/admin/content/ch_cells.html

" Cells are configured as a tree. The top-level cell should have a host that runs a nova-api service, but no nova-compute services. Each child cell should run all of the typical nova-* services in a regular Compute cloud except for nova-api"


In order to do so I choose:
packstack install Nova compute service [y|n]  [y] : n

From the answer file (attached):
---------------------
# Set to 'y' if you would like Packstack to install Nova
CONFIG_NOVA_INSTALL=n

# The IP address of the server on which to install the QPID service
CONFIG_QPID_HOST=10.35.160.141


Results : 
---------
installation failed with SequenceError: 'CONFIG_QPID_HOST'. although from looking at the answer-file the qpid host = <LocalHost IP>  

setup.log
---------
2013-07-24 13:53:00::INFO::run_setup::505::root:: keystone-host: 10.35.160.141
2013-07-24 13:53:00::INFO::run_setup::505::root:: glance-host: 10.35.160.141
2013-07-24 13:53:00::INFO::run_setup::505::root:: cinder-host: 10.35.160.141
2013-07-24 13:53:00::INFO::run_setup::505::root:: cinder-volumes-create: y
2013-07-24 13:53:00::INFO::run_setup::505::root:: cinder-volumes-size: 20G
2013-07-24 13:53:00::INFO::run_setup::505::root:: osclient-host: 10.35.160.141
2013-07-24 13:53:00::INFO::run_setup::505::root:: os-horizon-host: 10.35.160.141
2013-07-24 13:53:00::INFO::run_setup::505::root:: os-horizon-ssl: n
2013-07-24 13:53:00::INFO::run_setup::505::root:: use-epel: n
2013-07-24 13:53:00::INFO::run_setup::505::root:: additional-repo: 
2013-07-24 13:53:00::INFO::run_setup::505::root:: rh-username: 
2013-07-24 13:53:00::INFO::run_setup::501::root:: rh-password: 
2013-07-24 13:53:00::INFO::run_setup::505::root:: rh-beta-repo: n
2013-07-24 13:53:00::INFO::run_setup::505::root:: rhn-satellite-server: 
2013-07-24 13:53:00::INFO::run_setup::507::root:: *** User input summary ***
2013-07-24 13:57:48::ERROR::run_setup::889::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 884, in main
    _main(confFile)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 577, in _main
    runSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 554, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 90, in runAllSequences
    sequence.run(self.CONF)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run
    step.run(config=config)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run
    raise SequenceError(str(ex))
SequenceError: 'CONFIG_QPID_HOST'

2013-07-24 13:57:48::INFO::run_setup::532::root::  * A new answerfile was created in: /root/packstack-answers-20130724-135300.txt
2013-07-24 13:57:48::INFO::run_setup::532::root::  * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
2013-07-24 13:57:48::INFO::run_setup::532::root::  * Did not create a cinder volume group, one already existed
(END)

Comment 1 Omri Hochman 2013-07-24 11:31:03 UTC
Created attachment 777739 [details]
setup.log

Comment 2 Omri Hochman 2013-07-24 11:31:36 UTC
Created attachment 777740 [details]
answer-file.log

Comment 5 Alvaro Lopez Ortega 2013-12-05 14:53:44 UTC
https://review.openstack.org/#/c/52266/ has been merged

Comment 8 Udi 2013-12-18 14:09:37 UTC
Works with no problems in: openstack-packstack-2013.2.1-0.20.dev936.el6ost.noarch

Comment 10 errata-xmlrpc 2013-12-20 00:15:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.